{
  "properties": {
    "port": {
      "description": "Port number of the gRPC service. Number must be in the range 1 to 65535.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "service": {
      "description": "Service is the name of the service to place in the gRPC HealthCheckRequest (see https://github.com/grpc/grpc/blob/master/doc/health-checking.md).\n\nIf this is not specified, the default behavior is defined by gRPC.",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "port"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/grpcaction/v1"
}